> For the complete documentation index, see [llms.txt](https://docs.iexexchanger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iexexchanger.com/get-started/exchanger-api/dopolnitelnye-vozmozhnosti/orders.md).

# Список заявок

Orders API нужен для чтения списка заявок, отчетов, CRM-синхронизации и панелей поддержки.

## Получить статусы

```bash
curl -sS https://example.com/api/v3/private/orders/statuses \
  -H "Accept: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

Публичный справочник:

```bash
curl -sS https://example.com/api/v3/public/orders/statuses \
  -H "Accept: application/json"
```

## Получить список заявок

```bash
curl -sS "https://example.com/api/v3/private/orders?filter[status]=processing&sort=-created_at&page=1&per_page=50" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Полезные фильтры

| Фильтр         | Пример                            |
| -------------- | --------------------------------- |
| `status`       | `filter[status]=processing`       |
| `public_id`    | `filter[public_id]=EX-000913`     |
| `tracking_id`  | `filter[tracking_id]=TRK8K2LQ`    |
| `created_from` | `filter[created_from]=2026-06-01` |
| `created_to`   | `filter[created_to]=2026-06-23`   |
| `amount_min`   | `filter[amount_min]=100`          |
| `amount_max`   | `filter[amount_max]=1000`         |

## Получить одну заявку

```bash
curl -sS https://example.com/api/v3/private/orders/TRK8K2LQ \
  -H "Accept: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

`{order}` может быть numeric ID, `public_id` или `tracking_id`.

Для активного exchange flow чаще используйте endpoints из раздела [Статусы и действия по заявке](/get-started/exchanger-api/obmen-i-zayavki/order-actions-statuses.md).

Точные параметры списков и responses доступны на странице [Orders API Reference](/get-started/exchanger-api/api-reference/orders.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.iexexchanger.com/get-started/exchanger-api/dopolnitelnye-vozmozhnosti/orders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
